From 0cda9d3f415522b6ec815b165053f5967be89281 Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Wed, 11 Oct 2017 14:31:23 -0500
Subject: [PATCH 08/25] _common_ Add Android build for Oreo

---
 cerbero/enums.py      | 1 +
 config/android.config | 2 ++
 2 files changed, 3 insertions(+)

diff --git a/cerbero/enums.py b/cerbero/enums.py
index 17b67f9..741471f 100644
--- a/cerbero/enums.py
+++ b/cerbero/enums.py
@@ -128,6 +128,7 @@ class DistroVersion:
     ANDROID_LOLLIPOP = 'android_lollipop' # API Level 21
     ANDROID_MARSHMALLOW = 'android_marshmallow' # API Level 23
     ANDROID_NOUGAT = 'android_nougat' # API Level 24
+    ANDROID_OREO = 'android_oreo' # API Level 26
     NONE_UCLIBC = 'none_uclibc'
     NONE_GLIBC = 'none_glibc'
 
diff --git a/config/android.config b/config/android.config
index b5c8e99..983f3cf 100644
--- a/config/android.config
+++ b/config/android.config
@@ -97,6 +97,8 @@ elif target_distro_version == DistroVersion.ANDROID_MARSHMALLOW:
     v = '23'
 elif target_distro_version == DistroVersion.ANDROID_NOUGAT:
     v = '24'
+elif target_distro_version == DistroVersion.ANDROID_OREO:
+    v = '26'
 else:
   raise FatalError("DistroVersion not supported")
 
-- 
2.15.0

